summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKppqju772020-07-06 23:45:34 +0200
committerKppqju772020-07-06 23:45:34 +0200
commit7d2ce969dd1f99ba78a75fd5e6ba03b2be0cff15 (patch)
tree796527e5d18cf76aa8a215608388a69b037c9805
parent0e91009845afd37f8e05e5ec674df230b72b3ee1 (diff)
downloadaur-7d2ce969dd1f99ba78a75fd5e6ba03b2be0cff15.tar.gz
Compatibility with other flutter packages added
-rwxr-xr-x[-rw-r--r--].SRCINFO4
-rwxr-xr-x[-rw-r--r--]PKGBUILD6
-rwxr-xr-x[-rw-r--r--]flutter-group-template.hook6
3 files changed, 8 insertions, 8 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 40ef248454f..ece805a0182 100644..100755
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,12 +1,12 @@
pkgbase = flutter-group-pacman-hook
pkgdesc = Pacman hook to fix permission after flutter install/upgrade
pkgver = 1
- pkgrel = 2
+ pkgrel = 3
arch = any
license = GPL
optdepends = flutter
source = flutter-group-template.hook
- sha512sums = f4683f18b58a7847af706d3b433c7e488135406711de2e92ca66eb72beb385f871325c2299e1c69b86118ca56a898d966a86414a2f04f6a8f03ea5a2d31554e2
+ sha512sums = 4873b30e77f4d4026fb680142c5066cdef86b24d8cdd1321772752d656622cac021bc260c060a28ad5796f8df9967441d304110193b48bf0e10aa947cac38fc3
pkgname = flutter-group-pacman-hook
diff --git a/PKGBUILD b/PKGBUILD
index 4175d627e93..3f56610300a 100644..100755
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,13 +2,13 @@
pkgname=flutter-group-pacman-hook
pkgver=1
-pkgrel=2
+pkgrel=3
pkgdesc="Pacman hook to fix permission after flutter install/upgrade"
arch=("any")
license=("GPL")
optdepends=("flutter")
source=(flutter-group-template.hook)
-sha512sums=("f4683f18b58a7847af706d3b433c7e488135406711de2e92ca66eb72beb385f871325c2299e1c69b86118ca56a898d966a86414a2f04f6a8f03ea5a2d31554e2")
+sha512sums=('4873b30e77f4d4026fb680142c5066cdef86b24d8cdd1321772752d656622cac021bc260c060a28ad5796f8df9967441d304110193b48bf0e10aa947cac38fc3')
_group=flutterusers
_path=/opt/flutter
@@ -46,7 +46,7 @@ prepare(){
_path=${FLUTTER_PATH}
fi
- sed -e "s/\$FLUTTER_GROUP/${_group}/g" -e "s/\$FLUTTER_PATH/${_path//\//\\\/}/g" flutter-group-template.hook > flutter-group.hook
+ sed -e "s/\$FLUTTER_GROUP/${_group}/g" -e "s/\$FLUTTER_PATH/${_path//\//\\\/}/g" -e "s/Target = \//Target = /g" flutter-group-template.hook > flutter-group.hook
}
package() {
diff --git a/flutter-group-template.hook b/flutter-group-template.hook
index 597346685d5..b5bc5755134 100644..100755
--- a/flutter-group-template.hook
+++ b/flutter-group-template.hook
@@ -1,9 +1,9 @@
[Trigger]
-Type = Package
+Type = Path
Operation = Upgrade
Operation = Install
-Target = flutter
-Target = flutter-group-pacman-hook
+Target = $FLUTTER_PATH/version
+Target = usr/share/libalpm/hooks/flutter-group.hook
[Action]
Description = Granting permission to group $FLUTTER_GROUP for flutter SDK ($FLUTTER_PATH)